Bug 1592886 - [RFE] [V2V] Ansible playbooks for creating V2V appliance for OpenStack
Summary: [RFE] [V2V] Ansible playbooks for creating V2V appliance for OpenStack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 14.0 (Rocky)
Assignee: Marek Aufart
QA Contact: Omri Hochman
URL:
Whiteboard: v2v
Depends On:
Blocks: 1601090
TreeView+ depends on / blocked
 
Reported: 2018-06-19 14:14 UTC by Anandeep Pannu
Modified: 2019-03-11 15:11 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-11 15:11:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Anandeep Pannu 2018-06-19 14:14:29 UTC
Description of problem:
In order to do VMWare to OpenStack VM migrations, we need to set up a conversion VM or conversion host.  

This conversion host runs Virt-v2v binary to convert volumes/data from VMWare to OpenStack. 

The ansible playbook will set up the appropriate binaries, libraries and images in an OpenStack VM image. 

The playbooks will reside in the appropriate repository, which will need to be decided.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 10 Marek Aufart 2018-07-19 14:18:12 UTC
PRs with initial version of kickstart scripts were merged to oVirt shared upstream repo.
https://github.com/oVirt/ovirt-ansible-v2v-conversion-host/pull/7
https://github.com/oVirt/ovirt-ansible-v2v-conversion-host/pull/8

Comment 20 Thierry Vignaud 2019-03-08 09:39:12 UTC
Do we have all the needed bits in current image?
If yes please switch this bug to 'MODIFIED' status

Comment 22 Thierry Vignaud 2019-03-11 15:11:33 UTC
Closing as the image was part of 14GA


Note You need to log in before you can comment on or make changes to this bug.